View Issue Details

IDProjectCategoryView StatusLast Update
0001586SymmetricDSBugpublic2014-03-02 09:49
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.17 
Target Version3.5.18Fixed in Version3.5.18 
Summary0001586: Stage manager doesn't check to see if a file is actually deleted when it qualifies for cleaning.
DescriptionStage manager doesn't check to see if a file is actually deleted when it qualifies for cleaning. On windows, this can leave the internal representation of staging out of sync with the file system.

Fix this issue and also prevent cleaning from being attempted if the file is in use on the server.
TagsNo tags attached.

Activities

admin

2014-02-24 20:57

administrator   ~0000493

Fixed in 3.6.0. Moving new target to 3.5.18 for patch release.

Related Changesets

SymmetricDS: master 099435be

2014-02-16 12:16:49

chenson

Details Diff
0001586: Stage manager doesn't check to see if a file is actually deleted when it qualifies for cleaning.
0001586
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/IStagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

SymmetricDS: master 41c50682

2014-02-16 13:20:09

chenson

Details Diff
0001586: Stage manager doesn't check to see if a file is actually deleted when it qualifies for cleaning.
0001586
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

Issue History

Date Modified Username Field Change
2014-02-16 12:07 chenson New Issue
2014-02-16 12:07 chenson Status new => assigned
2014-02-16 12:07 chenson Assigned To => chenson
2014-02-16 12:17 chenson Status assigned => resolved
2014-02-16 12:17 chenson Fixed in Version => 3.6.0
2014-02-16 12:17 chenson Resolution open => fixed
2014-02-16 13:00 Changeset attached => SymmetricDS trunk r7956
2014-02-16 14:00 Changeset attached => SymmetricDS trunk r7957
2014-02-24 19:50 chenson Status resolved => assigned
2014-02-24 19:50 chenson Status assigned => resolved
2014-02-24 20:53 elong Status resolved => feedback
2014-02-24 20:53 elong Resolution fixed => reopened
2014-02-24 20:57 admin Note Added: 0000493
2014-02-24 20:57 admin Fixed in Version 3.6.0 =>
2014-02-24 20:57 admin Target Version 3.6.0 => 3.5.18
2014-02-25 07:57 chenson Status feedback => assigned
2014-02-25 07:57 chenson Status assigned => resolved
2014-02-25 07:57 chenson Fixed in Version => 3.5.18
2014-02-25 07:57 chenson Resolution reopened => fixed
2014-02-25 07:58 chenson Project SymmetricDS Pro => SymmetricDS
2014-02-25 08:00 Changeset attached => SymmetricDS 3.5 r7980
2014-03-02 09:49 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 41c50682
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 099435be